Name: openbox
Version: 3.1
Release: alt1.1

Summary: Openbox is a standards compliant, fast, light-weight, extensible window manager
Summary(ru_RU.KOI8-R): Openbox   , , ̣,   
License: GPL
Group: Graphical desktop/Other
Url: http://www.%name.org/

Packager: Anton V. Denisov <avd@altlinux.org>

Source0: %name-%version.tar.bz2
Source2: %name-icons.tar.bz2
Source3: %name.menu
Source4: %name.menu-method
Source5: %name.wmsession

Patch0: %name-3.1-alt-translation.patch

Requires: lib%name = %version-%release

%def_disable static
%{?_enable_static:BuildPreReq: XFree86-devel-static glibc-devel-static}

# Automatically added by buildreq on Tue Jan 20 2004 (-bi)
# And filtered all static out
# $ rpmquery -f /usr/lib/pkgconfig/xft.pc
# XFree86-4.3.0-alt0.43
# UGLY
BuildRequires: XFree86-devel XFree86-libs fontconfig-devel freetype2-devel gcc-c++ glib2-devel libexpat-devel libstartup-notification-devel libstdc++-devel libxml2-devel pkgconfig python zlib-devel

%description
Openbox is a standards compliant, fast, light-weight, extensible window manager.
Openbox works with your applications, and makes your desktop easier to manage.
This is because the approach to its development was the opposite of what seems
to be the general case for window managers. Openbox was written first to comply
with standards and to work properly. Only when that was in place did the team
turn to the visual interface.
Openbox is fully functional as a stand-alone working environment, or can be
usedas a drop-in replacement for the default window manager in the GNOME or KDE
desktop environments.

#description -l ru_RU.KOI8-R

%package -n lib%name
Summary: Openbox libraries
Group: System/Libraries

%description -n lib%name
This package contains libraries for Openbox window manager:
libobparser - Openbox config file parsing library,
libobrender - Openbox Render Library.

%package -n lib%name-devel
Summary: Development files for Openbox
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the header files and libraries for
developing with Openbox window manager.

%package -n lib%name-devel-static
Summary: Development static library for Openbox
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static libraries for developing with
Openbox window manager.

%prep
%setup -q -a2
%patch0 -p1

%build
# XXX
%__libtoolize --copy --force
%__aclocal -I m4
# XXX

%configure \
	--prefix=%_x11dir \
	--bindir=%_x11bindir \
	--sysconfdir=%_sysconfdir/X11 \
	--disable-rpath \
	%{subst_enable static}

# XXX
%make update-po -C po
# XXX

%make_build

%install
%__mkdir_p %buildroot%_x11dir

%make_install install DESTDIR=%buildroot

# trick to include menu in %%files (why we don't have %%__touch macro?)
#touch %buildroot%_x11datadir/%name/menu

# icons
%__install -pD -m 644 %name-64.xpm %buildroot%_iconsdir/OpenBox.xpm
%__install -pD -m 644 %name-48.xpm %buildroot%_liconsdir/%name.xpm
%__install -pD -m 644 %name-32.xpm %buildroot%_iconsdir/%name.xpm
%__install -pD -m 644 %name-16.xpm %buildroot%_miconsdir/%name.xpm

# Menu isn't cooked yet, because it's hard to implement menu-method
# for Openbox XML based menu
#__install -pD -m 644 %SOURCE3 %buildroot%_menudir/%name
#__install -pD -m 755 %SOURCE4 %buildroot%_sysconfdir/menu-methods/%name
%__install -pD -m 644 %SOURCE5 %buildroot%_sysconfdir/X11/wmsession.d/09%name

# Cleanup
#__rm -rf %buildroot%_datadir/pixmaps
%__rm -f %buildroot%_libdir/*.la

%find_lang --output=%name.lang %name

%post
#update_menus
%update_wms

%postun
#clean_menus
%clean_wms

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%doc AUTHORS CHANGELOG COMPLIANCE COPYING README TODO

%_x11bindir/*
%_datadir/gnome/wm-properties/*
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/themes/*
#_menudir/%name
%_liconsdir/%name.xpm
%_iconsdir/%name.xpm
%_iconsdir/OpenBox.xpm
%_miconsdir/%name.xpm

%_sysconfdir/X11/xdg
#config(noreplace) %_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/pkgconfig/*
%_libdir/*.so
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Thu Jan 22 2004 Anton V. Denisov <avd@altlinux.org> 3.1-alt1.1
- BuildRequires tuned by hands in hope what
  /usr/lib/pkgconfig/xft.pc is in XFree86-devel package in
  current Sisyphus (I have ALT Linux Sisyphus (20030704)).

* Tue Jan 20 2004 Anton V. Denisov <avd@altlinux.org> 3.1-alt1
- Initial release for ALT Linux Sisyphus.
- TODO:
  + Menu system (it's hard because Openbox use XML based menu);
  + Russian translation for %%description.
